Bug 1160664 (CVE-2014-8594, xsa109) - CVE-2014-8594 kernel: xen: Insufficient restrictions on certain MMU update hypercalls (xsa109)
Summary: CVE-2014-8594 kernel: xen: Insufficient restrictions on certain MMU update hy...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2014-8594, xsa109
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1165205
Blocks: 1160648
TreeView+ depends on / blocked
 
Reported: 2014-11-05 10:45 UTC by Petr Matousek
Modified: 2019-09-29 13:23 UTC (History)
15 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-05 15:16:46 UTC


Attachments (Terms of Use)

Description Petr Matousek 2014-11-05 10:45:48 UTC
MMU update operations targeting page tables are intended to be used on
PV guests only. The lack of a respective check made it possible for
such operations to access certain function pointers which remain NULL
when the target guest is using Hardware Assisted Paging (HAP).

Malicious or buggy stub domain kernels or tool stacks otherwise living
outside of Domain0 can mount a denial of service attack which, if
successful, can affect the whole system.

Acknowledgements:

Red Hat would like to thank the Xen for reporting this issue.

Comment 5 Petr Matousek 2014-11-05 15:16:46 UTC
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

Comment 6 Vincent Danen 2014-11-18 14:46:50 UTC
External References:

http://xenbits.xen.org/xsa/advisory-109.html

Comment 7 Vincent Danen 2014-11-18 14:47:55 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1165205]


Note You need to log in before you can comment on or make changes to this bug.